<div class="modal fade" tabindex="-1" role="dialog" aria-hidden="true" {{did-update this.updateVisible @visible}}
  {{did-insert this.setup}}>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="staticBackdropLabel">{{@title}}</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" {{on "click" this.reject}}></button>
      </div>
      <div class="modal-body">
        {{yield}}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" {{on "click" this.reject }} data-dismiss="modal">
          {{capitalize (t "cancel")}}
        </button>
        <button type="button" class="btn btn-primary" {{on "click" this.resolve }} disabled={{this.waitAction}}>
          {{#if this.waitAction}}
          <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}

          {{capitalize (t "send")}}
        </button>
      </div>
    </div>
  </div>
</div>